curl --request POST \
--url https://agent.tinyfish.ai/v1/automation/run-research-async \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"query": "Compare long-duration energy storage approaches",
"mode": "standard",
"stream": true,
"output_language": "ja",
"weak_sources_enabled": true,
"domain_type": "news",
"after_date": "2026-01-01",
"before_date": "2026-06-30",
"recency_minutes": 1440,
"prior_run_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://agent.tinyfish.ai/v1/automation/run-research-async"
payload = {
"query": "Compare long-duration energy storage approaches",
"mode": "standard",
"stream": True,
"output_language": "ja",
"weak_sources_enabled": True,
"domain_type": "news",
"after_date": "2026-01-01",
"before_date": "2026-06-30",
"recency_minutes": 1440,
"prior_run_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: 'Compare long-duration energy storage approaches',
mode: 'standard',
stream: true,
output_language: 'ja',
weak_sources_enabled: true,
domain_type: 'news',
after_date: '2026-01-01',
before_date: '2026-06-30',
recency_minutes: 1440,
prior_run_id: '<string>',
session_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://agent.tinyfish.ai/v1/automation/run-research-async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"research_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
},
"request_id": "8f9dba20-e37b-4749-a919-2269e28b4a2c"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
},
"request_id": "8f9dba20-e37b-4749-a919-2269e28b4a2c"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
},
"request_id": "8f9dba20-e37b-4749-a919-2269e28b4a2c"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
},
"request_id": "8f9dba20-e37b-4749-a919-2269e28b4a2c"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
},
"request_id": "8f9dba20-e37b-4749-a919-2269e28b4a2c"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
},
"request_id": "8f9dba20-e37b-4749-a919-2269e28b4a2c"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
},
"request_id": "8f9dba20-e37b-4749-a919-2269e28b4a2c"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
},
"request_id": "8f9dba20-e37b-4749-a919-2269e28b4a2c"
}Start research asynchronously
Enqueue research and return its ID after durable dispatch. Poll GET /v1/research-run/ or attach to its events endpoint.
Authorizations
API key for authentication. Get your key from the API Keys page.
Body
Research question
1 - 2000"Compare long-duration energy storage approaches"
Depth of research. Omitted selects deep; legacy auto selects standard.
auto, standard, deep, max "standard"
Emit report text through synthesis_delta events as it is written
BCP 47 language tag for the report
"ja"
Allow relevant social and community sources
Source pool to research over
web, news, research_paper "news"
Include results on or after this date (YYYY-MM-DD)
"2026-01-01"
Include results on or before this date (YYYY-MM-DD)
"2026-06-30"
Include results from the last 1-5,256,000 minutes. Not combinable with date filters.
1 <= x <= 52560001440
Domain preferences. Each list accepts at most 150 entries.
Show child attributes
Show child attributes
Seed this run with a completed report and its evidence
Continue a standard-mode session. Mutually exclusive with prior_run_id.
Was this page helpful?